Package wx :: Module aui :: Class AuiToolBarItem

[frames | no frames]

## Type AuiToolBarItem

    object --+
             |
            AuiToolBarItem

Proxy of C++ AuiToolBarItem class

Method Summary
AuiToolBarItem | ``__init__`(self)` __init__(self, AuiToolBarItem c) -> AuiToolBarItem
| `Assign(self, c)`
Bitmap | `GetBitmap(self)`
Bitmap | `GetDisabledBitmap(self)`
Bitmap | `GetHoverBitmap(self)`
int | `GetId(self)`
int | `GetKind(self)`
String | `GetLabel(self)`
String | `GetLongHelp(self)`
Size | `GetMinSize(self)`
int | `GetProportion(self)`
String | `GetShortHelp(self)`
SizerItem | `GetSizerItem(self)`
int | `GetSpacerPixels(self)`
int | `GetState(self)`
long | `GetUserData(self)`
Window | `GetWindow(self)`
bool | `HasDropDown(self)`
bool | `IsActive(self)`
bool | `IsSticky(self)`
| `SetActive(self, b)`
| `SetBitmap(self, bmp)`
| `SetDisabledBitmap(self, bmp)`
| `SetHasDropDown(self, b)`
| `SetHoverBitmap(self, bmp)`
| `SetId(self, new_id)`
| `SetKind(self, new_kind)`
| `SetLabel(self, s)`
| `SetLongHelp(self, s)`
| `SetMinSize(self, s)`
| `SetProportion(self, p)`
| `SetShortHelp(self, s)`
| `SetSizerItem(self, s)`
| `SetSpacerPixels(self, s)`
| `SetState(self, new_state)`
| `SetSticky(self, b)`
| `SetUserData(self, l)`
| `SetWindow(self, w)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

__init__(self, AuiToolBarItem c) -> AuiToolBarItem

  Returns:
    AuiToolBarItem
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-25233240(...)
  Set Method:
    unknown-25233360(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:46 2009 | http://epydoc.sf.net